#!/bin/sh
# This script is used to build an environment for
# running external scripts inside a closed directory tree.

confdir=/etc/dftpd

if [ ! -z $1 ]; then sitedir=$1;
else	echo -n "Target site root directory[/site]: "
	read sitedir;
	if [ -z $sitedir ]; then sitedir="/site"; fi
fi

mkdir -p $sitedir/bin/exec
mkdir -p $sitedir/etc/
mkdir -p $sitedir/lib/

cp -u `ldd /bin/sh|awk '{print $3}'` $sitedir/lib

if [ -f /etc/localtime ]; then
        cp /etc/localtime $sitedir/etc
elif [ -f /usr/lib/zoneinfo ]; then
	mkdir -p $sitedir/usr/lib/zoneinfo/
	cp /usr/lib/zoneinfo/localtime $sitedir/usr/lib/zoneinfo/
fi
cp /bin/sh /sbin/ldconfig $sitedir/bin
if [ $EUID = 0 ]; then
	/usr/sbin/chroot $sitedir ldconfig 2>/dev/null
	rm -f $sitedir/bin/ldconfig
else	echo Could not execute chroot/ldconfig - you must do the following as root:
	echo /usr/sbin/chroot $sitedir ldconfig
	echo rm -f $sitedir/bin/ldconfig
fi
